Cruzeirao/src/main/java/sistema/bens/CampeonatoManagedBean.java
package sistema.bens;

import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.primefaces.event.RowEditEvent;

import sistema.beans.datamodel.CampeonatoDataModel;
import sistema.cruzeirao.Campeonato;
import sistema.cruzeirao.Categoria;
import sistema.cruzeirao.Equipe;
import sistema.cruzeirao.Local;
import sistema.service.CampeonatoService;
import sistema.service.CategoriaService;
import sistema.service.LocalService;

@ManagedBean(name="campeonatoMB")
@SessionScoped
public class CampeonatoManagedBean {

	private Campeonato campeonato = new Campeonato();
	private CampeonatoService serviceCampeonato = new CampeonatoService();
	private CategoriaService serviceCategoria = new CategoriaService();
	private LocalService serviceLocal = new LocalService();
	private ArrayList<Categoria> categoriasDesejadas = new ArrayList<Categoria>();
	private Equipe equip = new Equipe();

	public void onRowEdit(RowEditEvent event) {

		Campeonato c = ((Campeonato) event.getObject());
		serviceCampeonato.update(c);
	}

	public void salvar() {
		campeonato.setCategorias(categoriasDesejadas);
		for(Categoria categoria : campeonato.getCategorias())
			categoria.getCampeonatos().add(campeonato);
		for(Local local : campeonato.getLocais())
			local.getCampeonatos().add(campeonato);
		
		campeonato = serviceCampeonato.save(campeonato);
		campeonato = new Campeonato();
		categoriasDesejadas = new ArrayList<Categoria>();
		equip = new Equipe();
	}
	
	public Equipe getEquip() {
		return equip;
	}

	public void setEquip(Equipe equip) {
		this.equip = equip;
	}

	public void delete(Campeonato a) {
		serviceCampeonato.remove(a);
	}

	public Campeonato getCampeonato() {
		return campeonato;
	}

	public void setCampeonato(Campeonato campeonato) {
		this.campeonato = campeonato;
	}
	
	public List<Categoria> getCategorias(){
		return serviceCategoria.getCategorias();
	}
	
	public List<Local> getLocais(){
		return serviceLocal.getLocais();
	}
	
	public CampeonatoDataModel getCampeonatos(){
		return new CampeonatoDataModel(serviceCampeonato.getCampeonatos());
	}

	public CampeonatoService getServiceCampeonato() {
		return serviceCampeonato;
	}

	public void setServiceCampeonato(CampeonatoService serviceCampeonato) {
		this.serviceCampeonato = serviceCampeonato;
	}

	public CategoriaService getServiceCategoria() {
		return serviceCategoria;
	}

	public void setServiceCategoria(CategoriaService serviceCategoria) {
		this.serviceCategoria = serviceCategoria;
	}

	public LocalService getServiceLocal() {
		return serviceLocal;
	}

	public void setServiceLocal(LocalService serviceLocal) {
		this.serviceLocal = serviceLocal;
	}

	public ArrayList<Categoria> getCategoriasDesejadas() {
		return categoriasDesejadas;
	}

	public void setCategoriasDesejadas(ArrayList<Categoria> categoriasDesejadas) {
		this.categoriasDesejadas = categoriasDesejadas;
	}
	
	
	
	
	

	
}

Cruzeirao/src/main/java/sistema/bens/JuizManagedBean.java
package sistema.bens;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import org.primefaces.event.RowEditEvent;

import sistema.cruzeirao.Juiz;
import sistema.service.JuizService;


@ManagedBean(name="JuizMB")
@ViewScoped
public class JuizManagedBean {

	private Juiz Juiz = new Juiz();
	private List<Juiz> juizes;
	private JuizService service = new JuizService();
	
	public void onRowEdit(RowEditEvent event){
		Juiz l = ((Juiz) event.getObject());
		service.alterar(l);
	}
	
	public void salvar(){
		
		Juiz = service.salvar(Juiz);
		
		if(juizes != null)
			juizes.add(Juiz);
		
		Juiz = new Juiz();
	}
	
	public Juiz getJuiz(){
		return Juiz;
	}
	
	public void setJuiz(Juiz Juiz){
		this.Juiz = Juiz;
	}
	
	public List<Juiz> getjuizes(){
		if(juizes == null)
			juizes = service.getjuizes();
		
		return juizes;
	}
	
	public void remover(Juiz Juiz){
		service.remover(Juiz);
		juizes.remove(Juiz);
		
	}
	
}

Cruzeirao/src/main/java/sistema/bens/UsuarioManagedBean.java
package sistema.bens;

import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import org.primefaces.event.RowEditEvent;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.core.userdetails.UserDetails;

import enums.Roles;
import enums.Sexo;
import sistema.cruzeirao.Usuario;
import sistema.service.UsuarioService;

@ManagedBean
@ViewScoped
public class UsuarioManagedBean {

	private Usuario usuario = new Usuario();
	private List<Usuario> usuarios = null;
	private UsuarioService service = new UsuarioService();
	private Usuario usuarioAtivo = null;
	
	public void onRowEdit(RowEditEvent event){
		Usuario l = ((Usuario) event.getObject());
		service.alterar(l);
	}
	
	public void salvar(){
		//usuario.setRole(Roles.ORGANIZADOR);
		service.salvar(usuario);
		usuario = new Usuario();
	}

	

	public UsuarioService getService() {
		return service;
	}

	public void setService(UsuarioService service) {
		this.service = service;
	}

	public List<Usuario> getUsuarios() {
		if(usuarios == null)
			usuarios = service.getUsuarios();
		return usuarios;
	}

	public void setUsuarios(List<Usuario> usuarios) {
		this.usuarios = usuarios;
	}

	public Usuario getUsuario() {
		usuarioAtivo = null;
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}
	public void atualizar(){
		service.salvar(usuario);
	}
	public void remover(Usuario usuario) {
		service.remover(usuario);
	}
	public Sexo[] getSexos(){
		return Sexo.values();
	}
	public Usuario getUsuarioAtivo() {
		if (usuarioAtivo == null)
			Ativacao();
		return usuarioAtivo;
	}

	public void setUsuarioAtivo(Usuario usuarioAtivo) {
		this.usuarioAtivo = usuarioAtivo;
	}
	
	private void Ativacao() {
		Object Ativo = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
		String username;
		if (Ativo instanceof UserDetails) {
			username = ((UserDetails) Ativo).getUsername();
			usuarioAtivo = service.Ativo(username);
		}
	}
	
	public List<Usuario> getJogadores(){
		return service.retornaJogadores();
	}
	
	public List<Usuario> getTecnico(){
		return service.retornaTecnicos();
	}
	
	public List<Usuario> getPreparador(){
		return service.retornaPreparador();
	}
	
	public List<Usuario> getMassagista(){
		return service.retornaMassagista();
	}
	
	
	
}

Cruzeirao/src/main/webapp/pages/adm/organizador/cadastroCategoria.xhtml
<ui:composition template="InicialUser/comuns/templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastroCategoria.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	  
	  <center>
	  	<h1><p:outputLabel value="#{msg['pages.cadastroCategoria.menu']}"/></h1>
	  </center>
	  <center>
	  <div class="principal" align="center">
		<div class="container">
			<f:view transient="true">
		  <h:form id="form">	
		  <p:panelGrid columns="2">
		      <p:outputLabel value="#{msg['pages.cadastroCategoria.nome']}" />
		      <p:inputText value="#{categoriaManagedBean.categoria.nome}"/>
		      
		      
		      <p:outputLabel value="#{msg['pages.cadastroCategoria.nascidosApartirDe']}" />
			  <p:inputMask value="#{categoriaManagedBean.categoria.nascidosApartirDe}"
					  	 	placeholder="#{msg['pages.cadastroCategoria.idadeEscrever']}"
							mask="9999" required="true">
			  </p:inputMask>
		      
		      <h:outputText value="#{msg['pages.inicial.Sexo']}" />
			  <p:selectOneMenu id="multiple" value="#{categoriaManagedBean.categoria.sexo}" >
			  <f:selectItems value="#{categoriaManagedBean.categoria.sexos}"/>
			  </p:selectOneMenu>
		      
			  
		      <h:outputText value="#{msg['pages.cadastroCategoria.Min']}" />
			   <p:inputNumber id="min" value="#{categoriaManagedBean.categoria.minJogadores}"/>
			   
			   <h:outputText value="#{msg['pages.cadastroCategoria.Max']}" />
			   <p:inputNumber id="max" value="#{categoriaManagedBean.categoria.maxJogadores}"/>
		   
		   </p:panelGrid>
		  
		  	<br/>
		   		<p:commandLink actionListener="#{categoriaManagedBean.salvar}" ajax="false"
								style="width: 50%; max-width: 200px;">
								<p:graphicImage library="sistema" name="imagens/btnSalvar.png"
									alt="Login" width="103" height="42" style="margin-left: 90px;" />
				</p:commandLink>
		   		<p:spacer/>
	       </h:form>

     </f:view>
     </div>
     </div>
	</center>
	
	   
	</ui:define>
</ui:composition>







Cruzeirao/src/main/webapp/pages/adm/organizador/cadastroJuiz.xhtml
<ui:composition template="InicialUser/comuns/templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastroCampeonato.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	  
	  <center>
	  	<h1><p:outputLabel value="#{msg['pages.cadastroCampeonato.menu']}"/></h1>
	  </center>
	  <center>
	  <h:form id="formJuiz">	
	  <p:panelGrid columns="2">
      <p:outputLabel value="#{msg['pages.cadastroJuiz.nome']}" />
      <p:inputText value="#{JuizMB.juiz.nome}"/>

	   </p:panelGrid>
	   
	   <p:commandLink actionListener="#{JuizMB.salvar}" ajax="false"
								style="width: 50%; max-width: 200px;">
								<p:graphicImage library="sistema" name="imagens/btnSalvar.png"
									alt="Login" width="103" height="42" style="margin-left: 90px;" />
		</p:commandLink>
       </h:form>

       
	</center>
	
	   
	</ui:define>
</ui:composition>







Cruzeirao/src/main/webapp/pages/adm/organizador/cadastroTimeCategoria.xhtml
<ui:composition template="/pages/adm/organizador/InicialUser/comuns/templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastroTimeCategoria.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	  
	  <center>
	  	<h1><p:outputLabel value="#{msg['pages.cadastroTimeCategoria.menuPag']}"/></h1>
	  </center>
	  <center>
	  <h:form id="formTimeCategoria">	
		  <p:panelGrid columns="2">
	      <p:outputLabel value="#{msg['pages.cadastroTimeCategoria.selecione']}" />
	      <h:selectOneMenu converter="usuarioConverter" value="#{campeonatoMB.campeonato}">
        	<f:selectItems value="#{campeonatoMB.campeonatos}" var="jog" itemLabel="#{jog.nome}" itemValue="#{jog}"/>
     	  </h:selectOneMenu>
	      
	      <p:outputLabel value="#{msg['pages.cadastroTimeCategoria.categoria']}" />
	      <h:selectOneMenu converter="usuarioConverter" value="#{campeonatoMB.categorias}">
        	<f:selectItems value="#{categoriaManagedBean.categorias}" var="jog" itemLabel="#{jog.nome}" itemValue="#{jog}"/>
     	  </h:selectOneMenu>
	        
	      <p:outputLabel value="#{msg['pages.cadastroTimeCategoria.nomeTime']}" /> 
	      <h:selectOneMenu converter="usuarioConverter" value="#{campeonatoMB.equip}">
        	<f:selectItems value="#{equipeManagedBean.equipes}" var="jog" itemLabel="#{jog.nome}" itemValue="#{jog}"/>
     	  </h:selectOneMenu>
		   
		   </p:panelGrid>  
		   
		   <br/>
		   <form>
		   <h:panelGrid columns="2">
		   <p:outputLabel value="#{msg['pages.cadastroTime.tecnico']}" />
	      	<h:selectOneMenu converter="usuarioConverter" value="#{equipeManagedBean.jogadorSelecionado}">
        	<f:selectItems value="#{usuarioManagedBean.tecnico}" var="jog" itemLabel="#{jog.username}" itemValue="#{jog}"/>
     		</h:selectOneMenu>
	      
	       <p:outputLabel value="#{msg['pages.cadastroTime.prepFisico']}" />
	       <h:selectOneMenu converter="usuarioConverter" value="#{equipeManagedBean.jogadorSelecionado}">
        	<f:selectItems value="#{usuarioManagedBean.preparador}" var="jog" itemLabel="#{jog.username}" itemValue="#{jog}"/>
     		</h:selectOneMenu>
	       
	       <p:outputLabel value="#{msg['pages.cadastroTime.massagista']}" />
	       <h:selectOneMenu converter="usuarioConverter" value="#{equipeManagedBean.jogadorSelecionado}">
        	<f:selectItems value="#{usuarioManagedBean.massagista}" var="jog" itemLabel="#{jog.username}" itemValue="#{jog}"/>
     		</h:selectOneMenu>
	       
	       
	       <p:outputLabel value="#{msg['pages.cadastroTimeCategoria.textJogadores']}" /> 
	       
	       <p:selectCheckboxMenu id="Jogadores" value="#{checkboxView.selectedCities}" label="#{msg['pages.cadastroTimeCategoria.jogText']}"
	                              filter="true" filterMatchMode="startsWith" panelStyle="width:250px">
	            <f:selectItems value="#{checkboxView.cities}" />
	        </p:selectCheckboxMenu>
	       </h:panelGrid>
	       </form>
	       
	       </h:form>

	                 
	    <p:commandButton value="#{msg['pages.cadastroTimeCategoria.btnSalvar']}" 
	        		action="#{campeonatoMB.salvar()}"
					update=":formTimeCategoria"
	                 />
	      
	</center>
	
	   
	</ui:define>
</ui:composition>







Cruzeirao/src/main/webapp/pages/adm/organizador/editCampeonato.xhtml
<ui:composition template="InicialUser/comuns/templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastroCategoria.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	  
	<h3>
					<p:outputLabel value="#{msg['pages.tabelaCampeonato.title']}" />
				</h3>
				<h:form id="formTabelaCampeonato">
					<p:dataTable value="#{campeonatoMB.campeonatos}"
						var="aux" id="tabelaCampeonato" editable="true">
						<p:ajax event="rowEdit"
							listener="#{campeonatoMB.onRowEdit}"
							update="tabelaCampeonato" />
						<p:column headerText="#{msg['pages.tabelaCampeonato.nome']}" filterBy="#{aux.nome}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.nome}" />
								</f:facet>
								<f:facet name="input">
									<p:inputText id="campNome" value="#{aux.nome}"
										style="width:100%" />
								</f:facet>
							</p:cellEditor>
						</p:column>
						<p:column headerText="#{msg['pages.tabelaCampeonato.inicioInscricao']}"
							filterBy="#{aux.dataInicioInscricao}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.dataInicioInscricao}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask mask="99/99/9999" id="campdataInicioInscricao"
										value="#{aux.dataInicioInscricao}" style="width:100%">
										<f:convertDateTime pattern="dd/MM/yyyy" />
									</p:inputMask>
								</f:facet>
							</p:cellEditor>
						</p:column>
						<p:column headerText="#{msg['pages.tabelaCampeonato.fimInscricao']}"
							filterBy="#{aux.dataFimInscricao}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.dataFimInscricao}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask mask="99/99/9999" id="campdataFimInscricao"
										value="#{aux.dataFimInscricao}" style="width:100%">
										<f:convertDateTime pattern="dd/MM/yyyy" />
									</p:inputMask>
								</f:facet>
							</p:cellEditor>
						</p:column>
						<p:column headerText="#{msg['pages.tabelaCampeonato.inicioCampeonato']}"
							filterBy="#{aux.dataInicioCampeonato}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.dataInicioCampeonato}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask mask="99/99/9999" id="campdataInicioCampeonato"
										value="#{aux.dataInicioCampeonato}" style="width:100%">
										<f:convertDateTime pattern="dd/MM/yyyy" />
									</p:inputMask>
								</f:facet>
							</p:cellEditor>
						</p:column>
						<p:column headerText="#{msg['pages.tabelaCampeonato.fimCampeonato']}"
							filterBy="#{aux.dataFimCampeonato}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.dataFimCampeonato}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask mask="99/99/9999" id="campFimdataFimCampeonato"
										value="#{aux.dataFimCampeonato}" style="width:100%">
										<f:convertDateTime pattern="dd/MM/yyyy" />
									</p:inputMask>
								</f:facet>
							</p:cellEditor>
						</p:column>
						<p:column headerText="#{msg['pages.tabelaCampeonato.valorTaxa']}" filterBy="#{aux.valorTaxa}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.valorTaxa}" />
								</f:facet>
								<f:facet name="input">
									<p:inputNumber id="campValor" value="#{aux.valorTaxa}"
										style="width:100%" />
								</f:facet>
							</p:cellEditor>
						</p:column>

						<p:column style="width:70px" headerText="#{msg['pages.tabelaCampeonato.Opcao']}">
							<p:rowEditor />
							<p:commandLink id="delete" styleClass="ui-icon ui-icon-trash"
								style="text-align:center"
								actionListener="#{campeonatoMB.delete(aux)}"
								update="tabelaCampeonato" />
						</p:column>
					</p:dataTable>
				</h:form>
	   
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/pages/adm/organizador/editCategoria.xhtml
<ui:composition template="InicialUser/comuns/templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastroCategoria.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	  
	<h3>
					<p:outputLabel value="Categories Table" />
				</h3>
				<h:form id="formTabelaCategorias">
					<p:dataTable value="#{categoriaManagedBean.categorias}" var="aux"
						id="tabelaCategoria" editable="true">

						<p:ajax event="rowEdit"
							listener="#{categoriaManagedBean.onRowEdit}"
							update="tabelaCategoria" />

						<p:column headerText="#{msg['pages.cadastroLocal.nome']}" filterBy="#{aux.nome}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.nome}" />
								</f:facet>
								<f:facet name="input">
									<p:inputText id="CategoriaNome" value="#{aux.nome}"
										style="width:100%" />
								</f:facet>
							</p:cellEditor>
						</p:column>

						<p:column headerText="#{msg['pages.cadastroLocal.nascidosApartirDe']}"
							filterBy="#{aux.nascidosApartirDe}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.nascidosApartirDe}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask mask="9999" id="nascidosApartirDe"
										value="#{aux.nascidosApartirDe}" style="width:100%">
									</p:inputMask>
								</f:facet>
							</p:cellEditor>
						</p:column>

						<p:column headerText="#{msg['pages.cadastroLocal.sexo']}" filterBy="#{aux.sexo}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.sexo}" />
								</f:facet>
								<f:facet name="input">
									<p:selectOneMenu id="multiple" value="#{aux.sexo}"
										label="Types of register" multiple="true" filter="true"
										filterMatchMode="startsWith" panelStyle="width:250px">
										<f:selectItems value="#{aux.sexos}" />
									</p:selectOneMenu>
								</f:facet>
							</p:cellEditor>
						</p:column>

						<p:column
							headerText="#{msg['pages.cadastroCategoria.Min']}"
							filterBy="#{aux.minJogadores}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.minJogadores}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask value="#{aux.minJogadores}"
										placeholder="#{msg['pages.cadastroCategoria.Min ']}"
										mask="99" />
								</f:facet>
							</p:cellEditor>
						</p:column>
						
						<p:column
							headerText="#{msg['pages.cadastroCategoria.Max']}"
							filterBy="#{aux.maxJogadores}">
							<p:cellEditor>
								<f:facet name="output">
									<p:outputLabel value="#{aux.maxJogadores}" />
								</f:facet>
								<f:facet name="input">
									<p:inputMask value="#{aux.maxJogadores}"
										placeholder="#{msg['pages.cadastroCategoria.Max']}"
										mask="99" />
								</f:facet>
							</p:cellEditor>
						</p:column>

						<p:column style="width:70px" headerText="#{msg['pages.cadastroLocal.Opcoes']}">
							<p:rowEditor />
							<p:commandLink id="delete" styleClass="ui-icon ui-icon-trash"
								style="text-align:center"
								actionListener="#{categoriaManagedBean.delete(aux)}"
								update="tabelaCategoria" />
						</p:column>
					</p:dataTable>
				</h:form>
	   
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/pages/adm/organizador/inicio.xhtml
<ui:composition template="/pages/adm/organizador/InicialUser/comuns/templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.inicio.title']}" />
	</ui:define>

	<ui:define name="principal">
		<center>
			<h:form rendered="#{request.isUserInRole('ORGANIZADOR')}" >
				<h:outputLabel value="#{msg['pages.organizador']}" style="font-size:200%"/>
				<p style="font-size:200%">#{usuarioManagedBean.usuarioAtivo.username}</p>
				<br/>
				<h:outputLabel value="#{msg['pages.mensagem']}" style="font-size:100%"/>
				
			</h:form>
			
			<h:form rendered="#{request.isUserInRole('DIRETOR')}">
				<h:outputLabel value="#{msg['pages.diretor']}" style="font-size:200%"/>
				<p style="font-size:200%">#{usuarioManagedBean.usuarioAtivo.username}</p>
				<br/>
				<h:outputLabel value="#{msg['pages.mensagem']}" style="font-size:100%"/>
			</h:form>
			
			<h:form rendered="#{request.isUserInRole('TECNICO')}">
				<h:outputLabel value="#{msg['pages.tecnico']}" style="font-size:200%"/>
				<p style="font-size:200%">#{usuarioManagedBean.usuarioAtivo.username}</p>
				<br/>
				<h:outputLabel value="#{msg['pages.mensagem']}" style="font-size:100%"/>
			</h:form>
			
			<h:form rendered="#{request.isUserInRole('JOGADOR')}">
				<h:outputLabel value="#{msg['pages.jogador']}" style="font-size:200%"/>
				<p style="font-size:200%">#{usuarioManagedBean.usuarioAtivo.username}</p>
				<br/>
				<h:outputLabel value="#{msg['pages.mensagem']}" style="font-size:100%"/>
			</h:form>
			<h:form rendered="#{request.isUserInRole('MASSAGISTA')}">
				<h:outputLabel value="#{msg['pages.massagista']}" style="font-size:200%"/>
				<p style="font-size:200%">#{usuarioManagedBean.usuarioAtivo.username}</p>
				<br/>
				<h:outputLabel value="#{msg['pages.mensagem']}" style="font-size:100%"/>
			</h:form>
			<h:form rendered="#{request.isUserInRole('PREPARADOR_FISICO')}">
				<h:outputLabel value="#{msg['pages.preparador']}" style="font-size:200%"/>
				<p style="font-size:200%">#{usuarioManagedBean.usuarioAtivo.username}</p>
				<br/>
				<h:outputLabel value="#{msg['pages.mensagem']}" style="font-size:100%"/>
			</h:form>
		</center>
	         	
	</ui:define>
	
	

	
</ui:composition>